get_filename_component(myDir ${CMAKE_CURRENT_LIST_FILE} PATH) # get the directory where I myself am
get_filename_component(rootDir ${myDir}/../../../../ ABSOLUTE) # get the chosen install prefix

# set the version of myself
set(LIBKVKONTAKTE_VERSION_MAJOR 4)
set(LIBKVKONTAKTE_VERSION_MINOR 12)
set(LIBKVKONTAKTE_VERSION_PATCH 0)
set(LIBKVKONTAKTE_VERSION ${LIBKVKONTAKTE_VERSION_MAJOR}.${LIBKVKONTAKTE_VERSION_MINOR}.${LIBKVKONTAKTE_VERSION_PATCH})

# what is my include directory
set(LIBKVKONTAKTE_INCLUDES "${rootDir}/include")

# import the exported targets
include(${myDir}/LibKVkontakteTargets.cmake)

# set the expected library variable
set(LIBKVKONTAKTE_LIBRARIES kvkontakte )

# system has libkvkontakte
set(LIBKVKONTAKTE_FOUND true)
